Summary: A library for manipulating GIF format image files.
Name: libungif
Version: 4.1.4
Release: 1
License: MIT
URL: http://sourceforge.net/projects/libungif/
Source0: http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1: http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.sha.asc
Patch0: %{name}-%{version}-aix.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The libungif package contains a shared library of functions for
loading and saving GIF format image files.  The libungif library can
load any GIF file, but it will save GIFs only in uncompressed format
(i.e., it won't use the patented LZW compression used to save "normal"
compressed GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development tools for programs which will use the libungif library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the static libraries, header files and
documentation necessary for development of programs that will use the
libungif library to load and save GIF format image files.

You should install this package if you need to develop programs which
will use libungif library functions.  You'll also need to install the
libungif package.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%package progs
Summary: Programs for manipulating GIF format image files.
Group: Applications/Multimedia
Requires: %{name} = %{version}

%description progs
The libungif-progs package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the libungif package.


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp lib/.libs/libungif.so.4 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q lib/.libs/libungif.a ./libungif.so.4


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/lib || :
  mkdir -p usr/include || :
  mkdir -p usr/bin || :
  cd usr/lib
  ln -sf ../..%{_libdir}/* .
  cd ../include
  ln -sf ../..%{_includedir}/* .
  cd ../bin
  ln -sf ../..%{_bindir}/* .
)


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,system)
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
%doc ChangeLog TODO BUGS AUTHORS
%{_libdir}/lib*.a
/usr/lib/lib*.a


%files devel
%defattr(-,root,system)
%doc doc/* util/giffiltr.c util/gifspnge.c
%{_libdir}/lib*.la
%{_includedir}/*.h
/usr/lib/lib*.la
/usr/include/*.h


%files progs
%defattr(-,root,system)
%{_bindir}/*
/usr/bin/*


%changelog
* Sat Mar 22 2008 Michael Perzl <michael@perzl.org> - 4.1.4-1
- updated to version 4.1.4

* Fri Mar 21 2008 Michael Perzl <michael@perzl.org> - 4.1.3-1
- first version for AIX V5.1 and higher
